PostgreSQL Bugs

Collected from the PG bugs email list.

Bug ID16413
PG Version11.7
OSFedora Core 31
Opened2020-05-04 01:59:18+00
Reported byDorian Bivolaru
StatusNew

Body of first available message related to this bug follows.

The following bug has been logged on the website:

Bug reference:      16413
Logged by:          Dorian Bivolaru
Email address:      (redacted)
PostgreSQL version: 11.7
Operating system:   Fedora Core 31
Description:        

The latest updates from last week introduced a broken dependency in the
postgres repositories.
I am reproducing here the issue on fc31 / v11.7 but would assume it's
happening on other repositories also.

To Reproduce:
1. See below Environment
2. $ sudo dnf update

Expected Result:
[...]
Upgrading:
[...]
 pgadmin4                                         x86_64                    
  4.21-2.f31                               pgdg-common                      
 11 k
 pgadmin4-desktop-common                          x86_64                    
  4.21-2.f31                               pgdg-common                      
291 k
 pgadmin4-desktop-gnome                           noarch                    
  4.21-2.f31                               pgdg-common                      
 10 k
[...]

Actual Result/Output:
 Problem: cannot install the best update candidate for package
pgadmin4-web-4.21-1.f31.noarch
  - nothing provides pgadmin4-python3-psutil >= 5.7.0 needed by
pgadmin4-web-4.21-2.f31.noarch
[...]
Upgrading:
[...]
 pgadmin4                                         x86_64                    
  4.21-2.f31                               pgdg-common                      
 11 k
 pgadmin4-desktop-common                          x86_64                    
  4.21-2.f31                               pgdg-common                      
291 k
 pgadmin4-desktop-gnome                           noarch                    
  4.21-2.f31                               pgdg-common                      
 10 k
[...]
Skipping packages with broken dependencies:
 pgadmin4-web                                     noarch                    
  4.21-2.f31                               pgdg-common                      
4.5 M

Environment:
postgresql.x86_64                                  11.7-1.fc31              
             @updates                  
postgresql-contrib.x86_64                          11.7-1.fc31              
             @updates                  
postgresql-jdbc.noarch                             42.2.12-1.f31            
             @pgdg-common              
postgresql-server.x86_64                           11.7-1.fc31              
             @updates                  
postgresql-upgrade.x86_64                          11.7-1.fc31              
             @updates
--
pgadmin4.x86_64                                    4.21-1.f31               
             @pgdg-common              
pgadmin4-desktop-common.x86_64                     4.21-1.f31               
             @pgdg-common              
pgadmin4-desktop-gnome.noarch                      4.21-1.f31               
             @pgdg-common              
pgadmin4-docs.noarch                               4.21-1.f31               
             @pgdg-common              
pgadmin4-python3-flask-compress.noarch             1.4.0-1.f31              
             @pgdg-common              
pgadmin4-python3-flask-htmlmin.noarch              1.5.0-1.f31              
             @pgdg-common              
pgadmin4-python3-flask-migrate.noarch              2.4.0-1.f31              
             @pgdg-common              
pgadmin4-python3-flask-security-too.noarch         3.3.3-1.f31              
             @pgdg-common              
pgadmin4-python3-passlib.noarch                    1.7.2-1.f31              
             @pgdg-common              
pgadmin4-python3-psutil.x86_64                     5.5.1-1.f31              
             @pgdg-common              
pgadmin4-python3-six.noarch                        1.12.0-3.f31             
             @pgdg-common              
pgadmin4-python3-sshtunnel.noarch                  0.1.4-1.f31              
             @pgdg-common              
pgadmin4-python3-werkzeug.noarch                   0.15.4-1.f31             
             @pgdg-common              
pgadmin4-pytz.noarch                               2018.9-1.f31             
             @pgdg-common              
pgadmin4-web.noarch                                4.21-1.f31               
             @pgdg-common

$ sudo dnf --showduplicates search psutil
================================================================ Name &
Summary Matched: psutil
================================================================
psutils-perl-1.23-16.fc31.noarch : psutils scripts requiring perl
golang-github-shirou-gopsutil-devel-2.19.6-1.fc31.noarch : Psutil for Go
===================================================================== Name
Matched: psutil
=====================================================================
psutils-1.23-16.fc31.x86_64 : PostScript Utilities
python3-psutil-5.6.7-1.fc31.x86_64 : A process and system utilities module
for Python
python2-psutil-5.6.7-1.fc31.x86_64 : A process and system utilities module
for Python
python3-psutil-5.6.7-1.fc31.x86_64 : A process and system utilities module
for Python
python2-psutil-5.6.3-2.fc31.x86_64 : A process and system utilities module
for Python
python3-psutil-5.6.3-2.fc31.x86_64 : A process and system utilities module
for Python
texlive-psutils-7:20190410-8.fc31.x86_64 : The TeXLive fork of the PS
Utilities
pgadmin4-python3-psutil-5.5.1-1.f31.x86_64 : A process and system utilities
module for Python
pgadmin4-python3-psutil-5.5.1-1.f31.x86_64 : A process and system utilities
module for Python

Messages

DateAuthorSubject
2020-05-04 01:59:18+00PG Bug reporting formBUG #16413: Broken Dependency pgadmin4-web to pgadmin4-python3-psutil